/*
 * CLIF is a Load Injection Framework
 * Copyright (C) 2004, 2008 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Contact: clif@ow2.org
 */
package org.ow2.clif.loadtest;

/**
 * @author Julien Coste
 */
public class LoadTestGraphParam
{

    protected String chartId;

    protected String testPlan;

    protected String server;

    protected String bladeId;

    protected String label;

    public String getChartId()
    {
        return chartId;
    }

    public void setChartId( String chartId )
    {
        this.chartId = chartId;
    }

    public String getTestPlan()
    {
        return testPlan;
    }

    public void setTestPlan( String testPlan )
    {
        this.testPlan = testPlan;
    }

    public String getServer()
    {
        return server;
    }

    public void setServer( String server )
    {
        this.server = server;
    }

    public String getBladeId()
    {
        return bladeId;
    }

    public void setBladeId( String bladeId )
    {
        this.bladeId = bladeId;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel( String label )
    {
        this.label = label;
    }
}
